"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("@bearer/cli/lib/index");
exports.default = (...args) => __awaiter(this, void 0, void 0, function* () {
    let isTemplate = false;
    const newArgs = args.reduce((acc, current) => {
        if (isTemplate) {
            if (current.startsWith('-')) {
                acc.push('https://github.com/Bearer/templates');
            }
            isTemplate = false;
        }
        else {
            isTemplate = current === '-t' || current === '--template';
        }
        acc.push(current);
        return acc;
    }, []);
    // template args is the latest
    if (isTemplate) {
        newArgs.push('https://github.com/Bearer/templates');
    }
    yield index_1.run(['new', ...newArgs]);
});
